---
title: "Highlights from 2019"
author: Sara Kassabian
author_gitlab: skassabian
author_twitter: sarakassabian
categories: news
image_title: '/images/blogimages/gitlab-holiday-2019-blog-cover.png'
description: "2019 was a big year for GitLab! We look back on our achievements and growth from the past year."
tags: features, community, inside GitLab
guest: true # required when the author is not a GitLab Team Member
ee_cta: false # required only if you do not want to display the EE-trial banner
install_cta: false # required only if you do not want to display the 'Install GitLab' banner
twitter_text: "Read up on some of the major 2019 milestones for @gitlab"
featured: yes
postType: content marketing
merch_banner: merch_one
merch_sidebar: merch_one
---

At GitLab, we’re going into 2020 with big energy. 🙌 Take a look at the 2019 milestones that laid a solid foundation for the company as we gear up for our IPO, planned for November 2020.

In 2019, our company more than doubled in size as we hired more talented folks, many of whom helped us move our product closer to being a true [multicloud solution](/topics/multicloud/). But the core of GitLab is our open source community, and in 2019 our community made plenty of valuable contributions in merge requests, feature fixes, and security checks! Explore some of the 2019 highlights for the GitLab product, community, and company.

- [Product highlights](#product)
- [Community highlights](#community)
- [Company highlights](#company)


## Product

We introduced many exciting new features to help our GitLab product better serve the needs of our users.

### Multi-level child epics make project management a breeze

Before our 11.7 release, epics were limited to a two-level structure, but [in 11.7 we introduced multi-level child epics](/releases/2019/01/22/gitlab-11-7-released/#multi-level-child-epics), so you can now have an ancestor epic that contains up to five levels of child epics, as well as issues. This feature allows longer-term work strategies to be defined in ancestor epics, with strategy and deliverables being articulated in the lower tiers.



### Auto-renew certs using Let’s Encrypt

One of our most highly-requested features was the introduction of a custom domain in GitLab pages [that automates HTTPS certificate renewals.](https://gitlab.com/gitlab-org/gitlab-foss/issues/28996) We delivered in 12.1 by integrating with Let’s Encrypt to transition this process from being manual to automated.

### Totally buggin’: Track errors using Sentry

Using Sentry, our users can get more visibility into their entire stack, making it faster and easier to identify and remediate bugs in your code. [Read this blog post to dive deeper into how our integration with Sentry works](/blog/2019/01/25/sentry-integration-blog-post/) or watch the video below.

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube-nocookie.com/embed/KUHk1uuXWhA" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

### Accelerate delivery using scoped labels

[We created the scoped labels in 11.10](/blog/2019/06/20/issue-labels-can-now-be-scoped/), making it simpler for users to customize workflows and accelerate delivery.

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">Great news, friends! Issue labels can now be scoped 😍<br><br>Scoped Labels make it possible for teams to define a basic custom field that avoids confusion and cleans up issue lists ✔️<a href="https://t.co/U2T9BBIgBs">https://t.co/U2T9BBIgBs</a></p>&mdash; GitLab (@gitlab) <a href="https://twitter.com/gitlab/status/1141782522013134848?ref_src=twsrc%5Etfw">June 20, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

Watch the video below to see two use cases for scoped labels.

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube-nocookie.com/embed/4BCBby6du3c" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

### Merge trains keep your pipeline running

Broken master is a developer’s worst enemy. We want our users to keep their pipelines moving, which is [why we created merge trains to keep your pipelines in the green](/blog/2019/09/11/how-to-avoid-broken-master-with-pipelines-for-merge-requests/).

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">GitLab 12.1 released with Parallel Merge Trains, Merge Requests for Confidential Issues, Automated Let’s Encrypt certificates for GitLab Pages and much more! Enjoy! 🎉🙌🚀<a href="https://t.co/oRp7YF9mmo">https://t.co/oRp7YF9mmo</a></p>&mdash; GitLab (@gitlab) <a href="https://twitter.com/gitlab/status/1153319179266809857?ref_src=twsrc%5Etfw">July 22, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

### CE and EE are in a single codebase

In August, [we officially migrated GitLab CE and GitLab EE to a single codebase](/blog/2019/08/23/a-single-codebase-for-gitlab-community-and-enterprise-edition/). Keeping CE and EE in their own repositories made the development process more complex than was necessary, and by moving to a single codebase we simplified a problem that was becoming more complicated over time. A migration of this size wasn’t a simple process. [Our blog post dives into more detail about how we managed the migration](/blog/2019/08/23/a-single-codebase-for-gitlab-community-and-enterprise-edition/).

### Multicloud: This is the way

#### Create and deploy to an EKS cluster

GitLab is designed to be cloud-agnostic and in the spirit of multicloud, [we added an EKS integration to 12.5](/releases/2019/11/22/gitlab-12-5-released/#easily-create-and-deploy-to-an-eks-cluster). Now, users can create and deploy an EKS cluster by selecting the EKS option on the GitLab clusters page rather than having to build the integration from scratch. Watch the demo below to see how it works, or [read our documentation page](/releases/2019/11/22/gitlab-12-5-released/#easily-create-and-deploy-to-an-eks-cluster).

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube-nocookie.com/embed/DGvPEJUnXME" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

#### Deploy to any cloud with GitLab CI/CD

Learn more about how [GitLab CI/CD makes it possible to work with any cloud provider](/blog/2019/11/06/gitlab-ci-cd-is-for-multi-cloud/). Study our [Guide to the Cloud](/resources/guide-to-the-cloud/) to become an expert in this topic.

Other notable accomplishments include:

*   [How our delivery team used the “boring solution” to migrate GitLab.com to CI/CD](/blog/2019/10/03/gitlab-journey-to-cicd/).
*   The introduction of [instance-level Kubernetes](https://docs.gitlab.com/ee/user/instance/clusters/).
*   [DAG pipelines](/releases/2019/08/22/gitlab-12-2-released/#directed-acyclic-graphs-dag-for-gitlab-pipelines), which allow certain jobs to be completed in a non-consecutive order between stages.

## Community

In 2019, GitLab benefitted from a highly engaged and collaborative community of contributors.

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">While GitLab the company is growing quickly, we also have over 2500 contributors to GitLab from the wider community. <br><br>Those contributors are providing over 200 contributions per month 💥<a href="https://twitter.com/hashtag/GitLabCommit?src=hash&amp;ref_src=twsrc%5Etfw">#GitLabCommit</a> <a href="https://t.co/qrSCCAKtpE">pic.twitter.com/qrSCCAKtpE</a></p>&mdash; GitLab (@gitlab) <a href="https://twitter.com/gitlab/status/1181889359492108295?ref_src=twsrc%5Etfw">October 9, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

### Code contributions soared

In 2018, we had 447 code contributors create 1,608 merge requests. [Our numbers nearly doubled in 2019](https://gitlab.com/gitlab-com/www-gitlab-com/issues/6075#note_262597822) with an astounding 861 code contributors creating 2,437 merge requests (as of Dec. 18 2019). This marks more than 50% year-over-year growth in merged MRs for the wider community. We can’t wait to see what you folks have in store for us in 2020!

## One million merge requests

In March 2019, our community broke more records by [submitting one million merge requests to GitLab.com](/blog/2019/06/06/1-mil-merge-requests/) in a month. In fact, the number of new MRs per active user increased by 40% year-over-year (May 2019 vs. May 2018).

The majority of these contributions were part of private projects on GitLab.com, indicating there is the potential for _even more growth_ in the New Year if our contributors resolve to submit to some of our public projects too.

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet"><p lang="en" dir="ltr"><a href="https://t.co/C4mACZpLWf">https://t.co/C4mACZpLWf</a> received a record 1 million merge requests in March 2019 😱<a href="https://t.co/Ii57tcSbq1">https://t.co/Ii57tcSbq1</a></p>&mdash; GitLab (@gitlab) <a href="https://twitter.com/gitlab/status/1136714388914757633?ref_src=twsrc%5Etfw">June 6, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

### Our bug bounty program goes public

Our bug bounty program launched in 2017 but was limited to the top 10% of HackerOne contributors. But in 2019, we elected to accelerate our efforts by making the program public – and our community did not disappoint! In the first seven weeks of our program, 42% of all reporters were first-time contributors and 64% of all of the reports we received came from folks new to the GitLab program.

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">&quot;We’re proud to see the benefits and value being generated by our bug bounty program and specifically our reporter community.&quot;<a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@GitLab</a> shares where their team is succeeding and focusing on improvement after moving to a public program. Fantastic job!<a href="https://t.co/iZ7rYqKmmq">https://t.co/iZ7rYqKmmq</a> <a href="https://t.co/7WcrPWIMbQ">pic.twitter.com/7WcrPWIMbQ</a></p>&mdash; HackerOne (@Hacker0x01) <a href="https://twitter.com/Hacker0x01/status/1154159537596899329?ref_src=twsrc%5Etfw">July 24, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

Thank you to all of our reporters who helped make our product and platform even more secure.

## Company

Just like any start-up, GitLab came from humble beginnings, but in 2019 we’ve had more and more organizations adopt our tool as their all-in-one DevOps solution, and our team, funding, and corporate events have grown to accommodate the demand.

### GitLab valued at $2.75 billion

Our plans for a 2020 IPO are off to a roaring start! 🚀 In less than a year, we’ve more than doubled our company’s valuation from $1.1 billion in 2018 to $2.75 billion in 2019, after raising $268 million in September 2019. The money comes from existing funders such as Goldman Sachs as well as nine investors that are brand new to GitLab.

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">GitLab (YC W15) hauls in $268M Series E on 2.75B valuation. Congrats to the GitLab team! <a href="https://t.co/8tfxnfu3YN">https://t.co/8tfxnfu3YN</a></p>&mdash; Y Combinator (@ycombinator) <a href="https://twitter.com/ycombinator/status/1173998823850545157?ref_src=twsrc%5Etfw">September 17, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

We’ll be reinvesting all of that money into making our DevOps platform the best in its class, bolstering its monitoring, security, and planning capabilities.

### We’re (always) hiring!

Since the company launched in 2015, our headcount has more than doubled each year. At the end of January 2019, we had roughly 452 team members at GitLab but as of Jan. 9, 2020 we've grown to 1,137 team members and counting.

<embed width="100%" height="100%" src="<%= signed_periscope_url(chart: 6551186, dashboard: 503779, embed: 'v2') %>">

The chart embedded above provides an interactive look at the growth of our company.

Explosive growth in team members is exciting, but when it comes time to organize GitLab Contribute, our annual event for team members and the wider GitLab community, there simply is no cookie cutter solution for accommodating more than a thousand people. Learn more about [how our corporate events team has mastered the persistent challenge of scale](/blog/2019/09/02/how-we-scaled-our-summits/) when planning GitLab Contribute.

### GitLab heads down to the bayou

Speaking of Contribute... in May 2019, more than 500 GitLab team members met in New Orleans for our yearly summit. In between bites of beignets, our [GitLab team managed to meet, mingle, and ship lots of code](/blog/2019/06/04/contribute-wrap-up/). If you missed us in NOLA, [catch us in Prague in 2020](/events/gitlab-contribute/).

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube-nocookie.com/embed/xdtPNXtkBhE" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

Video directed and produced by [Aricka Flowers](/company/team/#arickaflowers)
{: .note}

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">Just arrived at <a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@gitlab</a> <a href="https://twitter.com/hashtag/Contribute?src=hash&amp;ref_src=twsrc%5Etfw">#Contribute</a>! Everything is so amazing the energy is palpable. Thankful to the Contribute Team for all their hard work. Onwards to dinner and debriefing with ma peeps now! <a href="https://twitter.com/hashtag/NOLA?src=hash&amp;ref_src=twsrc%5Etfw">#NOLA</a> <a href="https://t.co/NmQ1PtLdkl">pic.twitter.com/NmQ1PtLdkl</a></p>&mdash; Priyanka Sharma (@pritianka) <a href="https://twitter.com/pritianka/status/1126243914762027008?ref_src=twsrc%5Etfw">May 8, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

### The future of DevOps starts here

The best way to get a bird’s eye view into operations and decision-making at a rapidly growing company is to start from the highest point. GitLab pioneered a [new CEO shadow program](/handbook/ceo/shadow/) designed to help current and future leaders of GitLab get a comprehensive overview of how our organization operates. The task of a CEO shadow is simple: Join GitLab CEO [Sid Sijbrandij](/company/team/#sytses) at his home office in San Francisco and follow him to relevant meetings (digitally and IRL).

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">It&#39;s been an incredible experience getting to <a href="https://twitter.com/hashtag/contribute?src=hash&amp;ref_src=twsrc%5Etfw">#contribute</a> to <a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@gitlab</a>! I ❤️ the story my graph tells. Now, which should I be most proud of: <br><br>1. Becoming an intermediate-level Git user<br>2. Participating in the CEO Shadow Program<br>3. Taking 5 wks of vacation last year (clear winner) <a href="https://t.co/hN7kcxEHay">pic.twitter.com/hN7kcxEHay</a></p>&mdash; Erica Lindberg (@EricaLindberg_) <a href="https://twitter.com/EricaLindberg_/status/1125885748878536705?ref_src=twsrc%5Etfw">May 7, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

[Erica Lindberg](/company/team/index.html#Lindberg), Global Content Manager, kicked off the CEO shadow program back in April 2019, but since then we’ve had a rotating schedule of CEO shadows that can drop in and drop out with ease and efficiency. [Get an inside look at the life of a CEO shadow by reading Erica's blog post](https://medium.com/gitlab-magazine/acquisitions-growth-curves-and-ipo-strategies-a-day-at-khosla-ventures-2762eb02c83a) and [learn more about the logistics and enrollment criteria](/handbook/ceo/shadow/#expenses-travel-and-lodging).

### GitLab launches Commit, our first user conference

🥳 Contribute is for our team members and community but [GitLab Commit](/events/commit/) is all about our users. We kicked off Commit in London and Brooklyn, inviting GitLab users to join us for a day of DevOps inspiration and learning.

{::options parse_block_html="false" /}

<div class="center">

<!-- first tweet -->
<blockquote class="twitter-tweet"><p lang="en" dir="ltr">Hot take: Auto <a href="https://twitter.com/hashtag/DevOps?src=hash&amp;ref_src=twsrc%5Etfw">#DevOps</a> cures shell script madness. And <a href="https://twitter.com/hashtag/GitOps?src=hash&amp;ref_src=twsrc%5Etfw">#GitOps</a> is just another way to say git is the source of truth. Wisdom from <a href="https://twitter.com/digitalocean?ref_src=twsrc%5Etfw">@digitalocean</a> Developer Relations Mgr. <a href="https://twitter.com/eddiezane?ref_src=twsrc%5Etfw">@eddiezane</a> &amp; <a href="https://twitter.com/NMFinancial?ref_src=twsrc%5Etfw">@NMFinancial</a> Senior Engineers Kyle Persohn, &amp; Sean Corkum <a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@gitlab</a> Commit. <a href="https://t.co/4YI5WvMRzD">pic.twitter.com/4YI5WvMRzD</a></p>&mdash; The New Stack (@thenewstack) <a href="https://twitter.com/thenewstack/status/1174035665803186176?ref_src=twsrc%5Etfw">September 17, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

<!-- second tweet -->
<blockquote class="twitter-tweet"><p lang="en" dir="ltr">I started speaking at conferences 11 years ago, and that&#39;s the time I had to wait for an opportunity to present my first talk in English. Thanks <a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@gitlab</a> for having me at <a href="https://twitter.com/hashtag/GitLabCommit?src=hash&amp;ref_src=twsrc%5Etfw">#GitLabCommit</a> last week, for amazing days in London. So much learning, new friends and good memories. <a href="https://t.co/OOchLmelpe">pic.twitter.com/OOchLmelpe</a></p>&mdash; Mario García (@mariogmd) <a href="https://twitter.com/mariogmd/status/1183450205280186368?ref_src=twsrc%5Etfw">October 13, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

<!-- third tweet -->
<blockquote class="twitter-tweet"><p lang="en" dir="ltr">And that’s a wrap! Thank you, London for an amazing time at <a href="https://twitter.com/hashtag/GitLabCommit?src=hash&amp;ref_src=twsrc%5Etfw">#GitLabCommit</a>. We loved hosting our European <a href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@gitlab</a> conference with you. Can’t wait to visit again and bring back some GitLab love to the land of the Brits 💜🇬🇧🧡 <a href="https://t.co/XLZiB2Dgm1">pic.twitter.com/XLZiB2Dgm1</a></p>&mdash; Priyanka Sharma (@pritianka) <a href="https://twitter.com/pritianka/status/1182254193324806151?ref_src=twsrc%5Etfw">October 10, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

Join us in San Francisco on January 14 for our first Commit event of 2020.

Thank you to all the folks that contributed to making 2019 such a smashing success and cheers to what’s in store for 2020!

Also, thank you to Social Marketing Manager [Wil Spillane](/company/team/#wspillane) for helping source the social media posts featured in this blog post.


